* {
    font-family: 'JetBrains Mono', monospace;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    background-color: #F7E017;
}

.logo-container {
    position: fixed;
    top: 10px;
    left: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    text-decoration: none;
    color: inherit;
}

.logo-container p {
    margin-left: 10px;
    font-size: 24px;
    font-weight: bold;
    display: flex;
    align-items: center;
}

.logo {
    width: 50px;
    height: auto;
}

.clock {
    width: 50vw;
    height: 50vw;
    border: 5px solid black;
    border-radius: 50%;
    position: relative;
    padding: 2rem;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
}

@media (min-aspect-ratio: 1/1) {
    .clock {
        width: 50vh;
        height: 50vh;
    }
}

.clock-face {
    position: relative;
    width: 100%;
    height: 100%;
    transform: translateY(-3px); /* compensate for the width of the hands */
}

.hand {
    width: 50%;
    background: black;
    position: absolute;
    top: 50%;
    transform-origin: 100%;
    transform: rotate(90deg);
    transition: all 0.05s;
    transition-timing-function: cubic-bezier(0.1, 2.7, 0.58, 1);
}

.hour-hand {
    height: 3px;
}

.minute-hand {
    height: 2px;
}

.second-hand {
    height: 1px;
    background: red;
}

.time {
    position: absolute;
    bottom: 5%;
    left: 50%;
    transform: translateX(-50%);
    font-size: large;
    text-align: center;
}

@media screen and (min-width: 600px) and (min-height: 600px) {
    .time {
        font-size: xx-large;
    }

    .clock {
        border: 10px solid black;
    }

    .hour-hand {
        height: 6px;
    }
    
    .minute-hand {
        height: 4px;
    }
    
    .second-hand {
        height: 2px;
    }
}